Skip to main content
GET
Retrieves a specific Billing Plan.

Headers

X-Aggregator-Code
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Path Parameters

id
string
required

The id or the vid of the Product to retrieve.

Query Parameters

aggregatorCode
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Response

JSON A full BillingPlan object.

id
string

A unique identifier.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by MarketONE.

Maximum string length: 128
object
enum<string>

Value is “BillingPlan”

Available options:
BillingPlan
created
string<datetime>

The date and time the plan was created.

description
string

An aggregator-specified description of this offering.

status
enum<string>

aggregators may define whether they want to declare a plan as available to offer. Values can be Active,Suspended

Available options:
Active,
Suspended
tax_classification
string

The tax classification or code to be used with any plan-level charges.

br_tax_category
string

enum(Category)

trial
object

Optionally declares an initial trial period for this plan.

periods
object[]

Defines the sequential billing periods in the plan, each with its own billing schedule and terms.

billing_notification_days
integer

Number of days prior to schedule billing at which CashBox will send email notification.

trial_end_notification_days
integer

For the trial period, this replaces billing_notification_days, indicating the number of days prior to end of a trial to send the trial end email.

skip_initial_billing_notification
boolean

Determines whether to send a billing notification for the initial period.

end_of_life
string<datetime>

The date after which the plan should not be offered.

metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

entitlements
object[]

Entitlements granted by active subscriptions on this plan.

billing_descriptor
string

Optional “soft descriptor” to send to the payment processor for transactions associated with a subscription using this billing plan.

times_to_run
string

The number of times the sequence of Billing Periods should be repeated. Valid input includes positive integers (Default is null).

entitlements_valid_for
string

The length of time for which Entitlements are valid after the last Billing date (Default is null).

repeat_every
string

If a Billing Period set repeats, this value defines the length of time after the first billing that the set should repeat.

season_set
object

The SeasonSet to which the Billing Plan applies. (May be null.)

days_before_season_to_bill
integer

Optional setting when using a season set to control the integer number of days before a season starts to bill.

days_entitled_before_season
integer

Optional setting when using a season set to control the integer number of days customer is entitled before a season starts

days_entitled_after_season
integer

Optional setting when using a season set to control the integer number of days after a season ends a customer remains entitled.

entitled_off_season
boolean

Optional setting when using a season set to continue entitling customer between seasons.

used_on_subscriptions
boolean

Signifies if Billing Plan has been used on an Active Subscription

grace_period_override
integer

Number of days after the billing date when, if payment is not received, the Subscription is stopped and the customer is disentitled; overrides the global aggregator default setting, if both are set.